## package-notes 0.15

=== Makefile ===
all:

dlopen-notes.1: dlopen-notes.py docs/dlopen-description.man Makefile
	argparse-manpage 	\
		--output=docs/$@ 	\
		--pyfile=$< 	\
		--function=make_parser \
		--project-name=package-notes \
		--include=docs/dlopen-description.man

install:
	install -m 755 -D dlopen-notes.py $(DESTDIR)/usr/bin/dlopen-notes
	install -m 644 -D docs/dlopen-notes.1 $(DESTDIR)/usr/share/man/man1/dlopen-notes.1

check:
	make -C test check

clean:
	make -C test clean

## package-notes 0.6

=== debian/changelog ===
package-notes (0.6) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Feb 2022 22:16:03 +0000

package-notes (0.5) unstable; urgency=medium

  [ Zbigniew Jędrzejewski-Szmek ]
  * generator: add a hint how to use the output to the output
  * generator: allow disabling READONLY
  * rpm: skip (READONLY) with older linker versions
  * Use -Wl,-dT
  * generator: add help strings

  [ Luca Boccassi ]
  * Initial packaging (Closes: #1004357)
  * Add architecture field
  * Skip fields without value
  * Debian: use -Wl,dT

  [ Zbigniew Jędrzejewski-Szmek ]
  * generator: add description in help output
  * generator: add --version argument
  * generator: disallow abbreviated option names
  * generator: rename program to not have .py suffix
  * generator: fix two minor issues reported by pylint
  * debian: stop using dh-exec

  [ Mark Wielaard ]
  * generate-package-notes.py: Add --debuginfod argument

  [ Victor Westerhuis ]
  * Add Debian debuginfod server in dh_package_notes
  * Provide dh-sequence-package_notes
  * Fix Python installation
  * Add manpage for generate-package-notes

  [ Zbigniew Jędrzejewski-Szmek ]
  * rpm: rename srpm macros file
  * rpm: fix filename in macro
  * rpm: conditionalize all macros on %_package_note_file being defined
  * rpm: make _generate_package_note_file always recreate the file
  * rpm: use $RPM_PACKAGE_VERSION variable to refer to the package version
  * rpm: also voidify the macros if we're on a noarch build
  * rpm: use %{buildsubdir} in %_package_note_file if defined
  * rpm: allow unsetting %_package_note_readonly to drop the READONLY
    attribute
  * rpm: add %_package_note_linker and document everything (rhbz#2043178,
    rhbz#2043368)
  * rpm: disable notes with linkers other than bfd
  * rpm: disable notes when clang toolchain is used on arm
  * generator: do not write zeroes to the linker script

  [ Frantisek Sumsal ]
  * ci: update repos before installing packages

  [ Zbigniew Jędrzejewski-Szmek ]
  * rpm: use named arguments

  [ Luca Boccassi ]
  * python: add --cpe auto
  * shell: add --cpe auto
  * man: document new --cpe auto option
  * shell: add --root option
  * python: add --root option
  * man: document new --root option
  * python: parse files in gather_data rather than parse_args
  * tests: add resources and tests for --auto-cpe and --root
  * rpm: use --cpe auto
  * debian: bump debhelper-compat version to 13
  * README: note we have both python and shell implementations

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Jan 2022 23:43:02 +0000

=== debian/control ===
Source: package-notes
Section: admin
Priority: optional
Rules-Requires-Root: no
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec,
Standards-Version: 4.6.0
Homepage: https://systemd.io/COREDUMP_PACKAGE_METADATA/
Vcs-Git: https://github.com/systemd/package-notes.git
Vcs-Browser: https://github.com/systemd/package-notes

Package: dh-package-notes
Architecture: all
Multi-Arch: foreign
Enhances: debhelper
Depends: ${misc:Depends}, ${perl:Depends}, debhelper,
Provides: dh-sequence-package-notes
Description: Debian Helper for adding package metadata to ELF binaries
 Generate a linker script to add package metadata to the ELF binaries being
 built. See: https://systemd.io/COREDUMP_PACKAGE_METADATA/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	pod2man $(CURDIR)/dh/dh_package_notes $(CURDIR)/debian/dh_package_notes.1

execute_after_dh_auto_clean:
	rm -f $(CURDIR)/debian/dh_package_notes.1

## package-notes 0.8

=== debian/changelog ===
package-notes (0.8) unstable; urgency=medium

  * use LONG instead of BYTEs for binary fields

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Apr 2022 19:52:18 +0100

package-notes (0.7) unstable; urgency=medium

  * dh: derive distro name at build time
  * dh: pick debuginfod from DEBUGINFOD_URLS env var if available
  * dh: install makefile include to automatically set LDFLAGS

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Mar 2022 11:40:22 +0000

## package-notes 0.9~bpo11%2B1

=== debian/changelog ===
package-notes (0.9~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 04 Dec 2022 12:15:57 +0000

package-notes (0.9) unstable; urgency=medium

  * Switch to --package-metadata linker flag via specs file

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Nov 2022 16:43:58 +0000

package-notes (0.8~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Apr 2022 21:40:13 +0100

package-notes (0.7~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Mar 2022 20:27:20 +0000

package-notes (0.6~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Feb 2022 18:13:25 +0000

## package-notes 0.9~cloud0

=== debian/changelog ===
package-notes (0.9~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Mar 2024 16:36:28 +0000

## package-notes 0.9

=== debian/control ===
Source: package-notes
Section: admin
Priority: optional
Rules-Requires-Root: no
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://systemd.io/ELF_PACKAGE_METADATA/
Vcs-Git: https://github.com/systemd/package-notes.git
Vcs-Browser: https://github.com/systemd/package-notes

Package: dh-package-notes
Architecture: all
Multi-Arch: foreign
Enhances: debhelper
Depends: ${misc:Depends}, debhelper,
Description: Debian Helper for adding package metadata to ELF binaries
 Provides a linker specs file to add package metadata to the ELF binaries being
 built. See: https://systemd.io/ELF_PACKAGE_METADATA/

## package-notes 0.13~bpo24.04.1

=== debian/changelog ===
package-notes (0.13~bpo24.04.1) noble-backports; urgency=medium

 * Rebuild for noble-backports. (LP: #2067544)

 -- Luca Boccassi <bluca@debian.org> Sun, 02 Jun 2024 00:14:14 +0100

package-notes (0.13) unstable; urgency=medium

  * debian/package-notes.mk: skip when linking with llvm

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Jun 2024 00:03:26 +0100

package-notes (0.12) unstable; urgency=medium

  [ Luca Boccassi ]
  * d/control: mark python3 dependency with 'any' as per multiarch hinter

  [ Zbigniew Jędrzejewski-Szmek ]
  * dlopen-notes: make --raw the default action
  * dlopen-notes: add short option args and forbid abbrevs
  * dlopen-notes: generate man page using argparse-manpage

  [ Luca Boccassi ]
  * manpage: check in git
  * makefile: install manpage too
  * debian: install dlopen-notes manpage

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 15:35:08 +0100

package-notes (0.11) unstable; urgency=medium

  * d/control: drop 'native' from build dependencies
  * d/control: add doc link for dlopen spec

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 18:22:46 +0100

package-notes (0.10) unstable; urgency=medium

  * Add Python script to parse dlopen ELF notes
  * Add Debian tool for dlopen-notes
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 09 May 2024 10:17:51 +0100

## package-notes 0.14

=== debian/changelog ===
package-notes (0.14) unstable; urgency=medium

  * d/package-notes.mk: change to no-op on Ubuntu

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 17:18:48 +0100

## package-notes 0.15~bpo12+1

=== debian/changelog ===
package-notes (0.15~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Jul 2024 09:24:23 +0100

package-notes (0.15) unstable; urgency=medium

  * d/package-notes.mk: also check Meson specific LD env var

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Jul 2024 13:10:31 +0100

package-notes (0.13~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Jun 2024 16:55:49 +0100

package-notes (0.12~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 May 2024 01:03:55 +0100

package-notes (0.11~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 May 2024 15:50:08 +0100

## package-notes 0.15~bpo24.04.1

=== debian/changelog ===
package-notes (0.15~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble. (LP: #2073502)

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Jul 2024 13:33:24 +0200

## package-notes 0.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 all:
+
+man: dlopen-notes.1
 
 dlopen-notes.1: dlopen-notes.py docs/dlopen-description.man Makefile
 	argparse-manpage 	\

=== test/Makefile ===
notes: notes.c
	$(CC) -o $@ $+ $(CFLAGS) $(LDFLAGS) $(LDLIBS)

check: notes
	python3 -m pytest test.py

clean:
	rm -f notes
	rm -rf __pycache__/

=== debian/changelog ===
package-notes (0.17) unstable; urgency=medium

  * test: do not fail if order of items changes

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 Oct 2025 20:08:55 +0100

package-notes (0.16) unstable; urgency=medium

  [ Zbigniew Jędrzejewski-Szmek ]
  * man: link to the spec in --help/man page
  * Makefile: add 'man' target for ease-of-use
  * refactor: use same style for ArgumentParser and the args
  * refactor: turn the code to read notes into a class
  * dlopen-notes: add mode to generate rpm Provides/Requires
  * README: show how to actually show the notes

  [ Simon McVittie ]
  * d/dh_dlopenlibdeps: Refer to the correct specification
  * d/dh_package_notes.1: Fix typos
  * dh_dlopenlibdeps: Debian package names can contain dots (Closes:
    #1117245)

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 Oct 2025 17:58:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,10 @@
 Rules-Requires-Root: no
 Maintainer: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.1
+               python3 <!nocheck>,
+               python3-pyelftools <!nocheck>,
+               python3-pytest <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://systemd.io/ELF_PACKAGE_METADATA/
 Vcs-Git: https://github.com/systemd/package-notes.git
 Vcs-Browser: https://github.com/systemd/package-notes
@@ -17,3 +20,18 @@
 Description: Debian Helper for adding package metadata to ELF binaries
  Provides a linker specs file to add package metadata to the ELF binaries being
  built. See: https://systemd.io/ELF_PACKAGE_METADATA/
+
+Package: dh-dlopenlibdeps
+Architecture: all
+Multi-Arch: foreign
+Enhances: debhelper
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         debhelper,
+         python3:any,
+         python3-pyelftools,
+Provides: dh-sequence-dlopenlibdeps,
+Description: Debian Helper for parsing dlopen metadata from ELF binaries
+ Parses dlopen ELF note and generates dependencies from it that can be used
+ via ${dlopen:Depends|Recommends|Suggests}
+ See: https://systemd.io/ELF_DLOPEN_METADATA/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	pod2man --utf8 $(CURDIR)/debian/dh_dlopenlibdeps > $(CURDIR)/debian/dh_dlopenlibdeps.1

execute_after_dh_auto_clean:
	rm -f $(CURDIR)/debian/dh_dlopenlibdeps.1
